var url = "http://someserver";
var client = Ti.Network.createHTTPClient({
	// function called when the response data is available
    onload : function(e) {
    	Ti.API.info("Received text: " + this.responseText);
    },
    // function called when an error occurs, including a timeout
    onerror : function(e) {
    	Ti.API.info(e.error);
    },
    timeout : 5000  // in milliseconds
});
 
client.username = 'someusername'
client.password = 'somepassword'
client.domain = 'someDomain'

//ANDROID SPECIFIC CODE STARTS. 
var jcifsntlm = require("com.jcifsntlm");
client.addAuthFactory(jcifsntlm.getAuthScheme(),jcifsntlm.getAuthFactory())
//ANDROID SPECIFIC CODE ENDS. 
 
// Prepare the connection.
client.open("GET", url);
// Send the request.
client.send();
